Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRCommonText

All Superinterfaces:
  JRBoxContainer, JRCommonElement, JRStyleContainer

All Known Subinterfaces:
  JRPrintText, JRStaticText, JRTextElement, JRTextField

All Known Implementing Classes:
  JRBasePrintText, JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillStaticText, JRFillTextElement, JRFillTextField, JRRecordedValuesPrintText, JRTemplatePrintText, JRTemplateText

    public interface JRCommonText

extends JRCommonElement, JRBoxContainer

Common interface of design and print text elements.

Version:
  $Id: JRCommonText.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `MARKUP_HTML`
`static java.lang.String` | `MARKUP_NONE`
`static java.lang.String` | `MARKUP_RTF`
`static java.lang.String` | `MARKUP_STYLED_TEXT`

Method Summary
`int` | `getFontSize()`
`byte` | `getLineSpacing()` Deprecated. Replaced by `getLineSpacingValue()`.
`LineSpacingEnum` | `getLineSpacingValue()` Gets the text line spacing.
`java.lang.String` | `getMarkup()` Returns the text markup.
`java.lang.Byte` | `getOwnLineSpacing()` Deprecated. Replaced by `getOwnLineSpacingValue()`.
`LineSpacingEnum` | `getOwnLineSpacingValue()` Gets the text own line spacing.
`java.lang.String` | `getOwnMarkup()`
`java.lang.Byte` | `getOwnRotation()` Deprecated. Replaced by `getOwnRotationValue()`.
`RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
`byte` | `getRotation()` Deprecated. Replaced by `getRotationValue()`.
`RotationEnum` | `getRotationValue()` Gets the text rotation.
`java.lang.Boolean` | `isOwnStyledText()` Deprecated. Replaced by `getOwnMarkup()`
`boolean` | `isStyledText()` Deprecated. Replaced by `getMarkup()`
`void` | `setLineSpacing(byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(java.lang.Byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(LineSpacingEnum lineSpacingEnum)` Sets the text line spacing.
`void` | `setMarkup(java.lang.String markup)`
`void` | `setRotation(byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(java.lang.Byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(RotationEnum rotationEnum)` Sets the text rotation.

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor, getLineBox`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### MARKUP_NONE

    static final java.lang.String MARKUP_NONE

See Also:
  Constant Field Values

### MARKUP_STYLED_TEXT

    static final java.lang.String MARKUP_STYLED_TEXT

See Also:
  Constant Field Values

### MARKUP_HTML

    static final java.lang.String MARKUP_HTML

See Also:
  Constant Field Values

### MARKUP_RTF

    static final java.lang.String MARKUP_RTF

See Also:
  Constant Field Values

Method Detail

### getRotation

    byte getRotation()

  Deprecated. Replaced by `getRotationValue()`.

### getOwnRotation

    java.lang.Byte getOwnRotation()

  Deprecated. Replaced by `getOwnRotationValue()`.

### setRotation

    void setRotation(byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

### setRotation

    void setRotation(java.lang.Byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

### getRotationValue

    RotationEnum getRotationValue()

  Gets the text rotation.

  Returns:
    a value representing one of the text rotation constants in `RotationEnum`

### getOwnRotationValue

    RotationEnum getOwnRotationValue()

  Gets the text own rotation.

  Returns:
    a value representing one of the text rotation constants in `RotationEnum`

### setRotation

    void setRotation(RotationEnum rotationEnum)

  Sets the text rotation.

  Parameters:
    `rotationEnum` - a value representing one of the text rotation constants in `RotationEnum`

### getLineSpacing

    byte getLineSpacing()

  Deprecated. Replaced by `getLineSpacingValue()`.

### getOwnLineSpacing

    java.lang.Byte getOwnLineSpacing()

  Deprecated. Replaced by `getOwnLineSpacingValue()`.

### setLineSpacing

    void setLineSpacing(byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

### setLineSpacing

    void setLineSpacing(java.lang.Byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

### getLineSpacingValue

    LineSpacingEnum getLineSpacingValue()

  Gets the text line spacing.

  Returns:
    a value representing one of the line spacing constants in `LineSpacingEnum`

### getOwnLineSpacingValue

    LineSpacingEnum getOwnLineSpacingValue()

  Gets the text own line spacing.

  Returns:
    a value representing one of the line spacing constants in `LineSpacingEnum`

### setLineSpacing

    void setLineSpacing(LineSpacingEnum lineSpacingEnum)

  Sets the text line spacing.

  Parameters:
    `lineSpacingEnum` - a value representing one of the line spacing constants in `LineSpacingEnum`

### isStyledText

    boolean isStyledText()

  Deprecated. Replaced by `getMarkup()`

  Returns true if the text can contain style tags.

### isOwnStyledText

    java.lang.Boolean isOwnStyledText()

  Deprecated. Replaced by `getOwnMarkup()`

### getMarkup

    java.lang.String getMarkup()

  Returns the text markup.

### getOwnMarkup

    java.lang.String getOwnMarkup()

### setMarkup

    void setMarkup(java.lang.String markup)

### getFontSize

    int getFontSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com